Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netlib.lapack
Class Dsbgst

    java.lang.Object
      org.netlib.lapack.Dsbgst

    public class Dsbgst

extends java.lang.Object

    Following is the description from the original
    Fortran source.  For each array argument, the Java
    version will include an integer offset parameter, so
    the arguments may not match the description exactly.
    Contact seymour@cs.utk.edu with any questions.

     *     ..
     *
     *  Purpose
     *  =======
     *
     *  DSBGST reduces a real symmetric-definite banded generalized
     *  eigenproblem  A*x = lambda*B*x  to standard form  C*y = lambda*y,
     *  such that C has the same bandwidth as A.
     *
     *  B must have been previously factorized as S**T*S by DPBSTF, using a
     *  split Cholesky factorization. A is overwritten by C = X**T*A*X, where
     *  X = S**(-1)*Q and Q is an orthogonal matrix chosen to preserve the
     *  bandwidth of A.
     *
     *  Arguments
     *  =========
     *
     *  VECT    (input) CHARACTER*1
     *          = 'N':  do not form the transformation matrix X;
     *          = 'V':  form X.
     *
     *  UPLO    (input) CHARACTER*1
     *          = 'U':  Upper triangle of A is stored;
     *          = 'L':  Lower triangle of A is stored.
     *
     *  N       (input) INTEGER
     *          The order of the matrices A and B.  N >= 0.
     *
     *  KA      (input) INTEGER
     *          The number of superdiagonals of the matrix A if UPLO = 'U',
     *          or the number of subdiagonals if UPLO = 'L'.  KA >= 0.
     *
     *  KB      (input) INTEGER
     *          The number of superdiagonals of the matrix B if UPLO = 'U',
     *          or the number of subdiagonals if UPLO = 'L'.  KA >= KB >= 0.

     *
     *  AB      (input/output) DOUBLE PRECISION array, dimension (LDAB,N)
     *          On entry, the upper or lower triangle of the symmetric band
     *          matrix A, stored in the first ka+1 rows of the array.  The
     *          j-th column of A is stored in the j-th column of the array AB
     *          as follows:
     *          if UPLO = 'U', AB(ka+1+i-j,j) = A(i,j) for max(1,j-ka)<=i<=j;
     *          if UPLO = 'L', AB(1+i-j,j)    = A(i,j) for j<=i<=min(n,j+ka).
     *
     *          On exit, the transformed matrix X**T*A*X, stored in the same

     *          format as A.
     *
     *  LDAB    (input) INTEGER
     *          The leading dimension of the array AB.  LDAB >= KA+1.
     *
     *  BB      (input) DOUBLE PRECISION array, dimension (LDBB,N)
     *          The banded factor S from the split Cholesky factorization of

     *          B, as returned by DPBSTF, stored in the first KB+1 rows of
     *          the array.
     *
     *  LDBB    (input) INTEGER
     *          The leading dimension of the array BB.  LDBB >= KB+1.
     *
     *  X       (output) DOUBLE PRECISION array, dimension (LDX,N)
     *          If VECT = 'V', the n-by-n matrix X.
     *          If VECT = 'N', the array X is not referenced.
     *
     *  LDX     (input) INTEGER
     *          The leading dimension of the array X.
     *          LDX >= max(1,N) if VECT = 'V'; LDX >= 1 otherwise.
     *
     *  WORK    (workspace) DOUBLE PRECISION array, dimension (2*N)
     *
     *  INFO    (output) INTEGER
     *          = 0:  successful exit
     *          < 0:  if INFO = -i, the i-th argument had an illegal value.
     *
     *  =====================================================================
     *
     *     .. Parameters ..

Constructor Summary
`Dsbgst()`

Method Summary
`static void` | `dsbgst(java.lang.String vect, java.lang.String uplo, int n, int ka, int kb, double[] ab, int _ab_offset, int ldab, double[] bb, int _bb_offset, int ldbb, double[] x, int _x_offset, int ldx, double[] work, int _work_offset, intW info)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Dsbgst

    public Dsbgst()

Method Detail

### dsbgst

    public static void dsbgst(java.lang.String vect,
                              java.lang.String uplo,
                              int n,
                              int ka,
                              int kb,
                              double[] ab,
                              int _ab_offset,
                              int ldab,
                              double[] bb,
                              int _bb_offset,
                              int ldbb,
                              double[] x,
                              int _x_offset,
                              int ldx,
                              double[] work,
                              int _work_offset,
                              intW info)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD